#include <QApplication>
#include <QQuickView>
#include <QQmlContext>
#include <QQuickWidget>

#include <QPushButton>
#include <QVBoxLayout>

#include "ApplicationData.h"


int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QApplication app(argc, argv);

    TestDataModel data;

    QWidget *window = new QWidget;
    window->setLayout(new QVBoxLayout);

    QPushButton *test = new QPushButton("Test");
    QObject::connect(test, SIGNAL(clicked()), &data, SLOT(generateTestData()));

    window->layout()->addWidget(test);


    // QQuickWidget based
    QQuickWidget *quickWidget = new QQuickWidget(window);
    quickWidget->setResizeMode(QQuickWidget::SizeRootObjectToView);

    quickWidget->rootContext()->setContextProperty("applicationData", &data);

    quickWidget->setSource(QUrl("qrc:/main.qml"));

    window->layout()->addWidget(quickWidget);


    // QQuickView based
    QQuickView *view = new QQuickView;
    view->setResizeMode(QQuickView::SizeRootObjectToView);

    view->rootContext()->setContextProperty("applicationData", &data);

    view->setSource(QUrl("qrc:/main.qml"));

    QWidget *container = QWidget::createWindowContainer(view, window);
    window->layout()->addWidget(container);


    window->resize(800,600);
    window->show();

    return app.exec();
}
