import QtQuick 2.13
import QtQuick.Window 2.13

import "Chart.js" as Chart

Item {
    id: theWindow
    visible: true
    width: 640
    height: 480
    anchors.fill: parent
   // title: qsTr("Hello World")


        Chart {
            id: canvasPie
            anchors.fill: parent

            chartType: "doughnut"

            chartData: {return {
                        datasets: [{
                            data:
                                applicationData.getCounters()
//                                [
//                                applicationData.getNumberNOK(),
//                                applicationData.getNumberWARN(),
//                                applicationData.getNumberOK(),
//                                applicationData.getNumberERR()
//                                ]
                            ,
                            backgroundColor: [
                                '#ffbbbb',
                                '#ffddaa',
                                '#bbffbb',
                                '#bbbbff'
                            ],
                            label: 'Dataset 1'
                        }],
                        labels: [
                            'NOK',
                            'WARN',
                            'OK',
                            'ERR'
                        ]
                    }}

            chartOptions: {return {maintainAspectRatio: false, responsive: true}}
        }


        Connections {
            target: applicationData
            onDataChanged: {
               // console.log("Data has changed!");

                canvasPie.chartData.datasets[0].data = applicationData.getCounters();
                //canvasPie.animateToNewData();
                canvasPie.showNewData();
            }
        }

}
